from System.Collections.Generic import List
from System import Byte, Int32
#
# Lockpick nearby chest
#
LootListName = "chest"
PickableChests = List[int]([ 0x0E40, 0x0E41, 0x09AB, 0x0E42, 0x0E43, 0x0E77, 0x0E7C, 0x0E7E, 0x09A9, 0x0E7F, 0x0E3E, 0x0E3D, 0x0E3F, 0x0E3C])
# 
# You need an autoloot list with the name that matches whatever you specify in LootListName above
# PickableChests is probably everything, but if you find something it doesn't recognize as pickable
# add it to the list 
#
#
chest = Items.Filter()
chest.Enabled = True
chest.OnGround = True
chest.Movable = False
chest.Graphics = PickableChests
chest.RangeMax = 1
chestOnGround = Items.ApplyFilter(chest)
#
Misc.Resync()
LootList = set()
for item in AutoLoot.GetList(LootListName):
    LootList.add(item.Graphics)
#
movedItems = 0   
for chest in chestOnGround:
    Journal.Clear()
    Items.UseItem(chest)
    Misc.Pause(1000)
    Items.UseItem(chest)
    Misc.Pause(1000)
    
    if Misc.CheckSharedValue("LootBag"):
        lootBag = Misc.ReadSharedValue("LootBag")
    else:   
        lootBag = Player.Backpack.Serial
    totalResist = 0    
    for item in chest.Contains:
        name = Items.GetPropStringByIndex(item, 0)
        propList = Items.GetPropStringList(item)
        #Misc.SendMessage(str(name))        
        if item.ItemID in LootList:
            Misc.SendMessage("Item in LootList {}".format(str(name)))
            Items.Move(item, lootBag, 0)
            movedItems += 1
            Misc.Pause(1000)
        elif "gargoyle" in name.lower():
            Items.Move(item, lootBag, 0)
            movedItems += 1
            Misc.Pause(1000)
        elif "Dungeon Chest Loot" in str(propList):
            Items.Move(item, lootBag, 0)
            movedItems += 1
            Misc.Pause(1000)
        else:                
            totResist = 0
            for index in range(1, len(propList)):
                #Misc.SendMessage("prop: {}".format(propList[index].lower()))
                if "resist" in propList[index].lower():
                    value = Items.GetPropValue(item.Serial, propList[index]) 
                    totResist += int(value)                    
            if totResist > 30:        
                Misc.SendMessage("tot resist: {}".format(totResist))
                Items.Move(item, lootBag, 0)
                movedItems += 1
                Misc.Pause(1000) 
            else:
                trash = Misc.ReadSharedValue("TokenBag")
                trash = None
                if trash:
                    Items.Move(item, trash, 0)
                    Misc.Pause(800)
    Misc.IgnoreObject(chest)        

#
if False: #movedItems > 0:
    Misc.WaitForContext(0x425A36A8, 10000)
    Misc.ContextReply(0x425A36A8, 2)
    Gumps.WaitForGump(111922706, 10000)
    Gumps.SendAction(111922706, 0)
    #
    Misc.WaitForContext(0x41CE0B76, 10000)
    Misc.ContextReply(0x41CE0B76, 2)
    Gumps.WaitForGump(111922706, 10000)
    Gumps.SendAction(111922706, 0)    
